org.apache.ivy.core

## Class LogOptions

- java.lang.Object
- - org.apache.ivy.core.LogOptions

Direct Known Subclasses:
  DownloadOptions, ResolveOptions, RetrieveOptions

    public class LogOptions
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `LOG_DEFAULT` Defaults log settings.
`static java.lang.String` `LOG_DOWNLOAD_ONLY` This log setting disable all usual messages but download ones.
`static java.lang.String` `LOG_QUIET` This log setting disable all usual messages during the resolve process.

### Constructor Summary

Constructors
Constructor and Description
`LogOptions()`
`LogOptions(LogOptions options)`

### Method Summary

Methods
`java.lang.String` `getLog()`
`LogOptions` `setLog(java.lang.String log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG_DEFAULT

    public static final java.lang.String LOG_DEFAULT

Defaults log settings. Output all usual messages during the resolve process.

See Also:
  Constant Field Values

#### LOG_DOWNLOAD_ONLY

    public static final java.lang.String LOG_DOWNLOAD_ONLY

This log setting disable all usual messages but download ones.

See Also:
  Constant Field Values

#### LOG_QUIET

    public static final java.lang.String LOG_QUIET

This log setting disable all usual messages during the resolve process.

See Also:
  Constant Field Values

### Constructor Detail

#### LogOptions

    public LogOptions()

#### LogOptions

    public LogOptions(LogOptions options)

### Method Detail

#### getLog

    public java.lang.String getLog()

#### setLog

    public LogOptions setLog(java.lang.String log)